FAQ

Q: Are PS Kiss Toolkits compatible with Photoshop CS6?

A: Yes. All PS Kiss products are fully compatible with version CS5, CS5.1, CS6 and CC.

Q: What about older versions?

A: PSKiss Looks are compatible with Photoshop CS4 and Lightroom 2.7 or higher.

PS Kiss Toolkits and Photogram are NOT compatible with version CS4 or older and not with CC 2014 (update in process).
PS Kiss Toolkits and Photogram are NOT compatible with Photoshop Elements or Lightroom.

Q: Is it possible to apply a filter to any kind of layer?

A: No. PS Kiss filters work only with regular pixel layers*. If you wish to apply it to another kind of layer, such as a Vector layer, a Type layer or a Smart Object, you have to rasterize them prior to applying a PS Kiss filter.

Q: Does PSKiss Toolkits include any support?

A: PS Kiss Toolkits are so simple, smart and user-friendly, so we think that any additional support is practically unnecessary. However, we publish some interesting explanations on our blog and our YouTube channel. You are most welcome to visit and enjoy these options. If you still have a unsolved issue, contact us and we will do our best to assist you.

Q: Promo code does not work

A: Promo code can expire over time, but sometimes there is a cookie issue which can be solved by deleting all of your cookies.